@import url('https://fonts.googleapis.com/css2?family=Instrument+Sans:wght@400;700&display=swap');

*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background: rgb(0, 0, 0);
  color: #eee;
  height: 100svh;
  width: 100svw;
  display: grid;
  place-items: center;
  grid-template-columns: 1fr;
  font-family: 'Instrument Sans', sans-serif;
}

input, .edit {
  width: 100%;
  height: 100%;
  outline: none;
  appearance: none;
}

input[type=range] {
  height: 0.5vh;
  border-radius: 0.5vh;
  background: #eee;
  opacity: 0.2;
  transition: opacity .15s ease-in-out;
}

input[type=range]:hover {
  opacity: 1;
}

input[type=range]::-webkit-slider-thumb {
  appearance: none;
  width: 2vh;
  height: 2vh;
  border-radius: 50%;
  border-color: #eee;
  border-width: 0.2vh;
  border-style: solid;
  background-color: #111;
  cursor: pointer;
}

input[type=range]::-moz-range-thumb {
  width: 2vh;
  height: 2vh;
  border: 0;
  border-radius: 50%;
  background: #111;
  cursor: pointer;
}

.app {
  background: #222;
  background: linear-gradient(-180deg, #222 0%, #111 100%);
  border-radius: 2vh;
  padding: 2vh;
  padding-top: 1vh;
  display: flex;
  flex-flow: column;
  gap: 1vh;
  height: min(90vb, calc(90vi / 10 * 16));
  width: min(90vi, calc(90vb / 16 * 10));
}

h1 {
  padding-left: 1vh;
  font-size: 2.5vh;
}

.box {
  width: 100%;
  display: flex;
  flex-flow: column;
  gap: 1vh;
  padding: 2vh;
  border-radius: 2vh;
  background: rgba(0, 0, 0, 0.5);
  border-style: solid;
  border-width: 0.5px;
  border-color: #666;
}

.horizontal {
  display: flex;
  flex-flow: row;
  gap: 1vh;
  container-type: inline-size;
}

#fstop .edit {
  border: none;
  color: #eee;
  text-align: right;
  font-weight: 700;
}

.bigedit {
  font-size: 40cqi;
}

.mededit {
  font-size: 20cqi;
}

.smalledit {
  font-size: 7cqi;
}

#fstop img {
  height: 15cqi;
  margin-top: 15cqi;
}

#fstop .edit {
  flex-grow: 1;
  vertical-align: middle;
}

#fstop boxf {
  font-size: 60cqi;
}

#fstop .diff {
  text-align: center;
}

#fstop .frac {
  padding-top: 7cqi;
}

#fstop .left {
  text-align: left;
}

#fstop .right {
  text-align: right;
}

#fstop .boxf {
  flex-grow: 2;
}

#fstop .boxd {
  flex-grow: 1;
}

#fstop .label {
  font-size: 20cqi;
}

#fstop .horizontal {
  flex-grow: 1;
}

@media only screen and (max-width: 800px) {
  .app {
    background: transparent;
    height: 100vh;
    width: 100vw;
    }
  body {
    background: linear-gradient(-180deg, #222 0%, #111 100%);
  }
}

